The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

16.12.2013 21:55  Релиз Linux-дистрибутива Quirky 6.0, развиваемого автором Puppy Linux

Барри Каулер (Barry Kauler), основатель проекта Puppy Linux, представил релиз Linux-дистрибутива Quirky 6.0. Дистрибутив Quirky был создан для обкатки новых идей и создание окружения для повседневного личного использования. Предлагаемое дистрибутивом графическое окружение базируется на оконном менеджере JWM, файловом менеджере ROX-Filer, собственном наборе GUI-конфигураторов и виджетов. Для подготовки дистрибутива используется единая с Puppy Linux система сборки Woof и пакетная база T2. Размер системного образа 110 Мб.

Основные особенности дистрибутива:

  • Отказ от использования многослойных файловых систем Unionfs/Aufs в пользу файловой системы F2FS, созданной компанией Samsung специально для Flash-накопителей;
  • Отсутствие iso-образа, дистрибутив поставляется в форме системного образа для копирования на USB Flash или SD-карту;
  • Минималистичный графический стек на базе X.Org. Отсутствие в поставке Mesa. Вывод производится только через драйвер VESA;
  • Отказ от использования начального ram-диска initrd.gz;
  • Отказ от использования DBus;
  • Поставка GTK+ 2.20.1 и отказ от использования более свежей ветки GTK 2.24.x, так как с ней некорректно работают некоторые старые приложения. По опыту разработчика, большинство приложений до сих пор прекрасно работает при сборке с GTK+ 2.20.1;
  • Вместо udev использован форк eudev с собственным урезанным набором правил. В дальнейшем планируется использование собственной упрощённой реализации udev;
  • Среди планов на будущее: обеспечение запуска cupsd только во время печати, поддержка установки пакетов SFS, упрощённый процесс отката на прошлую версию, добавление защиты от детей (скрытие локальных жестких дисков).


  1. Главная ссылка к новости (http://bkhome.org/news/?viewDe...)
  2. OpenNews: Вышел Precise Puppy Linux 5.7, дистрибутив для устаревших компьютеров
  3. OpenNews: Релиз Linux-дистрибутивов Wary Puppy 5.5 и Racy Puppy 5.5
  4. OpenNews: Релиз дистрибутива Slacko Puppy 5.3
Лицензия: CC-BY
Тип: Программы
Ключевые слова: quirky, puppy, linux
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.1, Аноним (-), 22:06, 16/12/2013 [ответить] [показать ветку] [···]    [к модератору]
  • –4 +/
    Отказ от dbus - влажная мечта некоторых анонов)
     
     
  • 2.4, Аноним (-), 23:09, 16/12/2013 [^] [ответить]     [к модератору]
  • +2 +/
    Дак если бы этот дбас и софт, присоединяющийся к этой шине, работал нормально, а... весь текст скрыт [показать]
     
     
  • 3.5, Аноним (-), 23:30, 16/12/2013 [^] [ответить]    [к модератору]  
  • +1 +/
    вас предупреждали, что <имя которое не пропускает цензура> умеет только обои клеить. Вас же предупреждали?
     
     
  • 4.22, Аноним (-), 16:59, 17/12/2013 [^] [ответить]    [к модератору]  
  • +/
    > вас предупреждали, что <имя которое не пропускает цензура> умеет только обои клеить. Вас же предупреждали?

    При чем здесь Равшан?

     
  • 2.13, Аноним (-), 01:21, 17/12/2013 [^] [ответить]    [к модератору]  
  • +2 +/
    > Отказ от dbus - влажная мечта некоторых анонов)

    Это для детишек. Пускай лучше от сокетов попробуют отказаться - вот это задачка для труЪ отцов.

     
  • 1.6, ua9oas (ok), 23:35, 16/12/2013 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    А почему тут не указана ни версия ядра, ни остальное содержимое в вещи сей?
    На сайте про ядро нашел (3.12.2. Хотя 3.12.5 уже вышло. "3.12"- это самая свежая из стабильных веток (но про остальное внутри там почему-то тоже не написали). Но тогда какое максимально старое железо оно будет поддерживать? (более новые же и ядра и ПО с ним же менее совместимы бывают (или в этот раз нет? (во всяком случае в них очень много того, что в старом железе никак не реализуемо))).
    Как вещь сию поставить с обычной болванки? (я бы рекомендовал лучше "RW" (так а на старом "железе" порой даже и USB портов-то порой не бывает (либо есть, да возможность загрузки ОС через него там не поддерживается)).
     
     
  • 2.11, IMHO (?), 01:05, 17/12/2013 [^] [ответить]    [к модератору]  
  • –1 +/
    PLOP тебе в помощь
     
  • 2.18, asavah (ok), 03:18, 17/12/2013 [^] [ответить]    [к модератору]  
  • +/
    В так называемой новости это не указано, но если пойти на сайтик автора можно прочесть:

    2.Deployed as a USB-stick/SD-card image only.
    3.Optimised for Flash, using f2fs.

    Если осилишь сии 2 строки, поймёшь, что болванка тут "нинужно".

     
  • 1.7, pxel (?), 23:41, 16/12/2013 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    Давай сборки под арм
     
     
  • 2.8, Аноним (-), 23:57, 16/12/2013 [^] [ответить]    [к модератору]  
  • +4 +/
    На.
     
  • 1.9, Аноним (-), 00:30, 17/12/2013 [ответить] [показать ветку] [···]    [к модератору]  
  • +4 +/
    Неплохо было бы вообще отказаться от графического стека, так как, по опыту, большинство приложений отлично работают с фреймбуфером.
     
  • 1.10, Аноним (-), 00:33, 17/12/2013 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Чем это лучше нового поколения Slax?
     
     
  • 2.12, Аноним (-), 01:11, 17/12/2013 [^] [ответить]    [к модератору]  
  • +1 +/
    А смысл это с чем-то сравнивать? Чувак делал для себя, жастфофан. "Что получится, если выкинуть все по максимуму, а что не выкинуть - заменить своей реализацией"
     
     
  • 3.14, Аноним (-), 01:46, 17/12/2013 [^] [ответить]     [к модератору]  
  • +/
    Меня его своя реализация на perl в Puppy всегда не очень радовала Но всё же, ... весь текст скрыт [показать]
     
     
  • 4.15, Аноним (-), 02:03, 17/12/2013 [^] [ответить]    [к модератору]  
  • +/
    > Меня его "своя реализация" на perl в Puppy всегда не очень радовала.

    Посмотрим, как у него пойдет с собственным udev. Надеюсь, хотя бы на брейнфаке.

     
     
  • 5.16, Аноним (-), 02:28, 17/12/2013 [^] [ответить]    [к модератору]  
  • +/
    Кто Porteus смотрел, тестил? Какие результаты?
     
     
  • 6.20, Zenitur (ok), 15:59, 17/12/2013 [^] [ответить]    [к модератору]  
  • +/
    Пробовал версию 1.2. На 128 Мб памяти не тормозит в режиме LiveCD, на HDD не устанавливал. Не смог установить драйвер NVIDIA 9x.xx из их репозитория пакетов, там была какая-то странная ошибка. После этого не польовался.

    Сейчас вышла версия 2.0 с KDE4, а варианта с TDE 3.5.12 больше нет. Не хочу пробовать.

     
     
  • 7.21, Аноним (-), 16:35, 17/12/2013 [^] [ответить]     [к модератору]  
  • +/
    Мне лично KDE 3 и его форк TDE никогда не нравились Благо у них можно прямо на ... весь текст скрыт [показать]
     
  • 3.23, Аноним (-), 22:54, 17/12/2013 [^] [ответить]     [к модератору]  
  • +/
    Если бы делал для себя - пусть бы и оставил это на локалхосте Как только вынес ... весь текст скрыт [показать]
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor